// This program is used by NBBuilder to generate categorizer. To compile
//   this, you would need to get the MLC++ library from SGI. 
//
// The program takes the path and name of the dataset as first argument,
// and the name of the output file as second argument.

#include <basics.h>     // Must be included first in any program using MLC++
#include <NaiveBayesInd.h> // Include ID3Inducer class declarations
// #include <mlcIO.h>
// #include <MLCStream.h>

main(int argc, char * const * argv)
{
   NaiveBayesInd inducer("Ibiza");      // "inducer" is an object of ID3Inducer.
                                    // The argument is the "description."

   inducer.read_data(argv[1]);   // Read data file <filename>.names and  
                                    //   <filename>.data 
   inducer.train();                 // Produce categorizer
   inducer.display_struct();        // Display structure of categorizer

   MString outputFile = argv[2];
   MLCOStream outputStream(outputFile);

   inducer.display(outputStream, DisplayPref::ASCIIDisplay);   
   
   outputStream.close();

   return 0;                        // Return success to shell
}   
